import ConstructorOf from '@thats/utils/types/ConstructorOf';
import { XRFrame } from 'three';
export interface XRUpdateParams {
    time?: number;
    delta?: number;
    frame?: XRFrame;
}
export interface IClass {
    defaults(): any;
    init(): void;
    update(p?: XRUpdateParams): void;
    destroy(): void;
}
export default function XRClass<T>(Base?: ConstructorOf<T>): ConstructorOf<IClass & T>;
