import ParamType from '../enums/ParamType';
declare const XRParam_base: import("@thats/utils/types/ConstructorOf").ConstructorOf<import("./XRClass").IClass>;
export declare class XRParam<T> extends XRParam_base {
    protected _value: T;
    key: string;
    label: string;
    type: ParamType;
    defaultValue: T;
    get value(): T;
    set value(v: T);
    defaults(): any;
    init(): void;
}
export default XRParam;
export type IParam = typeof XRParam;
