"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const XRParam_1 = __importDefault(require("../core/XRParam"));
const ParamType_1 = __importDefault(require("../enums/ParamType"));
class NumberParam extends XRParam_1.default {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { type: ParamType_1.default.NUMBER, defaultValue: 0, min: 0, max: 1, step: 0.1 });
    }
}
exports.default = NumberParam;
//# sourceMappingURL=NumberParam.js.map