import ConstructorOf from '@thats/utils/types/ConstructorOf';
import { Vector3 } from 'three';
import XRController, { XRControllerConstructor } from '../../core/XRController';
export interface IWalker extends XRController {
    impulsion: Vector3;
    rotation: Vector3;
    walkSpeed: number;
    strafeSpeed: number;
    lookUpSpeed: number;
    yawSpeed: number;
    pitchSpeed: number;
    rollSpeed: number;
}
export default function Walker(fly?: boolean): (<T extends XRController>(Base: XRControllerConstructor<T>) => ConstructorOf<T & IWalker>)[];
