"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XRProjectViewer = void 0;
const Col_1 = __importDefault(require("@thatweb/core-mui/components/Col"));
const Row_1 = __importDefault(require("@thatweb/core-mui/components/Row"));
const Typo_1 = __importDefault(require("@thatweb/core-mui/components/typo/Typo"));
const react_1 = __importStar(require("react"));
const loadAmmo_1 = __importDefault(require("../utils/loadAmmo"));
const XRProjectControls_1 = __importDefault(require("./XRProjectControls"));
const XRProjectViewerState_1 = __importDefault(require("./XRProjectViewerState"));
const XRSceneViewer_1 = __importDefault(require("./XRSceneViewer"));
function XRProjectViewer(props) {
    const { sceneIdx } = props;
    const [ammoLoaded, setAmmoLoaded] = (0, react_1.useState)(false);
    react_1.default.useEffect(() => {
        if (ammoLoaded)
            return;
        (0, loadAmmo_1.default)('/assets', () => setAmmoLoaded(true));
    }, [ammoLoaded]);
    if (!ammoLoaded)
        return react_1.default.createElement(Typo_1.default, { variant: "h2" }, "Loading");
    return (react_1.default.createElement(XRProjectViewerState_1.default, { sceneIdx: sceneIdx },
        react_1.default.createElement(Col_1.default, { padding: 2, sx: { flex: 1 } },
            react_1.default.createElement(Row_1.default, { spacing: 2, direction: "row", sx: { flex: 1, overflow: 'hidden' } },
                react_1.default.createElement(XRSceneViewer_1.default, null),
                react_1.default.createElement(XRProjectControls_1.default, null)))));
}
exports.XRProjectViewer = XRProjectViewer;
exports.default = XRProjectViewer;
//# sourceMappingURL=XRProjectViewer.js.map