"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberParamBox = void 0;
const Col_1 = __importDefault(require("@thatweb/core-mui/components/Col"));
const Slider_1 = __importDefault(require("@thatweb/core-mui/components/Slider"));
const Typo_1 = __importDefault(require("@thatweb/core-mui/components/typo/Typo"));
const react_1 = __importDefault(require("react"));
function NumberParamBox({ param, onChange }) {
    return (react_1.default.createElement(Col_1.default, null,
        react_1.default.createElement(Slider_1.default, { value: param.value, onChange: onChange, min: param.min, max: param.max }),
        react_1.default.createElement(Typo_1.default, null, param.label)));
}
exports.NumberParamBox = NumberParamBox;
exports.default = NumberParamBox;
//# sourceMappingURL=NumberParamBox.js.map